<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{
    protected $casts = [
        'variations'=>'array',
        'addons'=>'array',
    ];

    public function restaurant() {
        return $this->belongsTo(Restaurant::class);
    }

    public function food() {
        return $this->belongsTo(Food::class);
    }

    public function user() {
        return $this->belongsTo(User::class);
    }

}
